Subject: Re: [PATCH] Add nl_open to libnetlink

From: Masahide NAKAMURA <[email-masked]>
Date: Wed, 7 Jul 2004 13:09:50 +0900

On Tue, 6 Jul 2004 14:05:50 -0700
Stephen Hemminger <[email-masked]> wrote:

> On Mon, 5 Jul 2004 16:05:00 +0900
> Masahide NAKAMURA <[email-masked]> wrote:
> 
> > Hello,
> > 
> > On Sat, 3 Jul 2004 19:46:32 +1000
> > Herbert Xu <[email-masked]> wrote:
> > 
> > > I'm in the process of writing two new modules fo ip(8), ippolicy and
> > > ipstate which will be a NETLINK based replacement for setkey.
> > > 
> > > In order to do so, I need to get libnetlink to speak the XFRM protocol.
> > > Thus I've added a new nl_open function which allows the protocol to
> > > be specified.
> > 
> > I agree with it.
> > 
> > Anyway, I have code for ip(8) for similar reason.
> > The patch is below:
> > http://www.linux-ipv6.org/~nakam/ipxfrm-20040705.diff
> 
> This code won't build with current kernel headers. There is no xfrmsel_icmp_type
> in current 2.6 definition of struct xfrm_selector.

I've made another patch which can build with 2.6.7 kernel headers.
(And I removed some unnecessary code for the kernel.)

Try below:
http://www.linux-ipv6.org/~nakam/ipxfrm-20040707.diff

BTW, The definition in previous patch is for understanding ICMP
type/code by xfrm_selector. I wrote the kernel feature and I'm
testing it. Anyway, I'll send it to the list, too.

Thanks,

-- 
Masahide NAKAMURA